export declare class ExtendedMindData {
    protected modified: number;
    protected synced: number;
    protected tags: Array<any>;
    protected notes: Array<any>;
    constructor();
    getLatestModified(): number;
    getLastSynced(): number;
    getNotes(filters?: Array<any>): Array<any>;
    getTags(): Array<any>;
    protected updateSynced(): void;
    protected updateLatestModified(modified: number): void;
    protected pruneMissingKeywords(staleKeywords: Array<any>): void;
    protected addTagsToNote(note: any, tags: Array<any>, owner?: string): any;
    protected updateNote(note: any, updateNoteFieldsFn: (oldNote: any, newNote: any) => void): any[];
    protected updateTag(tag: any): any;
    protected getTagByUUID(uuid: string): any;
}
export declare class ExtendedMindHeaders extends ExtendedMindData {
    private owners;
    constructor(publicResponse: any);
    updateHeaders(publicResponse: any): void;
    private addOwners(users?, collectives?, commonTags?);
    private addOwner(owner, ownerType);
    private updateNoteFields(oldNote, newNote);
}
export declare class ExtendedMindPublicItems extends ExtendedMindData {
    private owner;
    private format;
    private content;
    constructor(itemsResponse: any);
    updateItems(itemsResponse: any): void;
    getNote(path: string): any;
    addKeywordsToExternalNote(note: any): any;
    private addItems(notes?, tags?, collectiveTags?, unpublished?);
    private updateNoteFields(oldNote, newNote);
}
