export interface ExtendedMindUtilsAPI {
    getInfo(latest?: boolean, history?: boolean): Promise<ExtendedMindInfo>;
    getHeaders(): Promise<any>;
    getPreviewItem(ownerUUID: string, itemUUID: string, previewCode: string): Promise<any>;
    getPublicItems(handle: string): Promise<any>;
}
export interface ExtendedMindClientPlatformInfo {
    url?: string;
    name?: string;
    notes?: string;
    pub_date?: string;
    version: string;
    userType: number;
    updateUrl?: string;
    fullUrl?: string;
}
export interface ExtendedMindClientPlatform {
    "platform": string;
    info: ExtendedMindClientPlatformInfo;
}
export interface ExtendedMindInfo {
    build: string;
    commonCollective: [string, string];
    version: string;
    created: number;
    ui?: string;
    clients?: Array<ExtendedMindClientPlatform>;
}
export declare function initializeExtendedMindUtils(apiUrl: string, settings?: any): ExtendedMindUtilsAPI;
